import { test, Page, expect } from '@playwright/test';
var path = require("path");

test.describe.configure({ mode: 'serial' });

import * as Helper from '../test_helper.js'

//Reuse the page among the test cases in the test script file
let page: Page;

// BEGIN: import pages
// var FooPage = require('../pages/foo_page.js'))

// END: import pages

test.beforeAll(async ({ browser }) => {
  // Create page once.
  page = await browser.newPage();
});

test.afterAll(async () => {
   await page.close();
});

  
test.beforeEach(async () => {
  await page.goto(Helper.site_url());
});

test.afterEach(async () => {
  // on individual test execution mode, don't exit browser driver session immediately.
  if (Helper.is_debugging()) {
    await Helper.sleep(10); // feel free to change wait time here
  }
});

test('Launch browser', async () => {
  // can enter text in a text box
  await page.fill("#username", "agileway");
});
