import { test, Page, expect } from '@playwright/test';
var path = require("path");

test.describe.configure({ mode: 'serial' });

import * as Helper from '../test_helper.js'

//Reuse the page among the test cases in the test script file
let page: Page;

// BEGIN: import pages
// var FooPage = require('../pages/foo_page.js'))

// END: import pages

test.beforeAll(async ({ browser }) => {
  // Create page once.
  page = await browser.newPage();
});

test.afterAll(async () => {
   await page.close();
});

  
test.beforeEach(async () => {
  await page.goto(Helper.site_url());
});

test.afterEach(async () => {
  if (Helper.is_debugging()) {
    await Helper.sleep(2); // feel free to change wait time here
  }
});


test('User can sign in OK', async () => {
  await page.fill("#username", "agileway");
  await page.fill("#password", "testwise");
  await page.click("input:has-text('Sign in')");
  const flashText = await page.textContent("#flash_notice")
  expect(flashText).toEqual('Signed in!');
  await page.locator('text=Sign off').click();
  //await page.getByText('Sign off (agileway)').click();
});

test('User sign in with wrong password', async () => {
  await page.fill("#username", "agileway");
  await page.fill("#password", "badpass");
  await page.click("input:has-text('Sign in')");
  const flashText = await page.textContent("#flash_alert")
  expect(flashText).toEqual('Invalid email or password');
});



